Skip to main content
GET
Get Workflow Run Evaluation Result

Authorizations

Authorization
string
header
required

Retrieve your API Key from Dashboard API Keys Section.

Path Parameters

workflow_run_id
string
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Response

Successful Response

Response model for evaluation results of a workflow run. Contains the evaluation workflow run ID, status, and the runtime variables from the last WorkflowShowStateEvent.

evaluation_workflow_run_id
string
required

ID of the evaluation workflow run

status
string
required

Status of the evaluation workflow run (e.g., 'completed', 'running', 'failed')

evaluation_result
Evaluation Result · object | null

The runtime variables from the last WorkflowShowStateEvent in the evaluation run. Contains the evaluation output/scores. None if no WorkflowShowStateEvent was found.